Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenEditorGenerator

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  GenEditorGeneratorImpl

public interface GenEditorGenerator
extends EObject

A representation of the model object 'Gen Editor Generator'.

The following features are supported:

- `Audits`
- `Metrics`
- `Diagram`
- `Plugin`
- `Editor`
- `Domain Gen Model`
- `Package Name Prefix`
- `Model ID`
- `Same File For Diagram And Model`
- `Diagram File Extension`
- `Domain File Extension`
- `Dynamic Templates`
- `Template Directory`
- `Copyright Text`
- `Expression Providers`

See Also:
  `GMFGenPackage.getGenEditorGenerator()`
** Generated **
Model:

Method Summary
`EList` `getAllDomainGenPackages(boolean withUsed)` Returns all genpackages from domain genmodel
`GenAuditContainer` `getAudits()` Returns the value of the 'Audits' containment reference
`java.lang.String` `getCopyrightText()` Returns the value of the 'Copyright Text' attribute
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' containment reference.
`java.lang.String` `getDiagramFileExtension()` Returns the value of the 'Diagram File Extension' attribute
`java.lang.String` `getDomainFileExtension()` Returns the value of the 'Domain File Extension' attribute
`GenModel` `getDomainGenModel()` Returns the value of the 'Domain Gen Model' reference
`GenEditorView` `getEditor()` Returns the value of the 'Editor' containment reference.
`GenExpressionProviderContainer` `getExpressionProviders()` Returns the value of the 'Expression Providers' containment reference.
`GenMetricContainer` `getMetrics()` Returns the value of the 'Metrics' containment reference
`java.lang.String` `getModelID()` Returns the value of the 'Model ID' attribute
`java.lang.String` `getPackageNamePrefix()` Returns the value of the 'Package Name Prefix' attribute
`GenPlugin` `getPlugin()` Returns the value of the 'Plugin' containment reference.
`java.lang.String` `getTemplateDirectory()` Returns the value of the 'Template Directory' attribute
`boolean` `hasAudits()`
`boolean` `isDynamicTemplates()` Returns the value of the 'Dynamic Templates' attribute.
`boolean` `isSameFileForDiagramAndModel()` Returns the value of the 'Same File For Diagram And Model' attribute
`void` `setAudits(GenAuditContainer value)` Sets the value of the '`Audits`' containment reference
`void` `setCopyrightText(java.lang.String value)` Sets the value of the '`Copyright Text`' attribute
`void` `setDiagram(GenDiagram value)` Sets the value of the '`Diagram`' containment reference
`void` `setDiagramFileExtension(java.lang.String value)` Sets the value of the '`Diagram File Extension`' attribute
`void` `setDomainFileExtension(java.lang.String value)` Sets the value of the '`Domain File Extension`' attribute
`void` `setDomainGenModel(GenModel value)` Sets the value of the '`Domain Gen Model`' reference
`void` `setDynamicTemplates(boolean value)` Sets the value of the '`Dynamic Templates`' attribute
`void` `setEditor(GenEditorView value)` Sets the value of the '`Editor`' containment reference
`void` `setExpressionProviders(GenExpressionProviderContainer value)` Sets the value of the '`Expression Providers`' containment reference
`void` `setMetrics(GenMetricContainer value)` Sets the value of the '`Metrics`' containment reference
`void` `setModelID(java.lang.String value)` Sets the value of the '`Model ID`' attribute
`void` `setPackageNamePrefix(java.lang.String value)` Sets the value of the '`Package Name Prefix`' attribute
`void` `setPlugin(GenPlugin value)` Sets the value of the '`Plugin`' containment reference
`void` `setSameFileForDiagramAndModel(boolean value)` Sets the value of the '`Same File For Diagram And Model`' attribute
`void` `setTemplateDirectory(java.lang.String value)` Sets the value of the '`Template Directory`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAudits

    public GenAuditContainer getAudits()

  Returns the value of the 'Audits' containment reference.

  Returns:
    the value of the 'Audits' containment reference.
  See Also:
    `GenEditorGenerator.setAudits(GenAuditContainer)`, `GMFGenPackage.getGenEditorGenerator_Audits()`
  ** Generated **
  Model:
    containment="true"

### setAudits

    public void setAudits(GenAuditContainer value)

  Sets the value of the '`Audits`' containment reference.

  Parameters:
    `value` - the new value of the 'Audits' containment reference.
  See Also:
    `GenEditorGenerator.getAudits()`
  ** Generated **

### getMetrics

    public GenMetricContainer getMetrics()

  Returns the value of the 'Metrics' containment reference.

  If the meaning of the 'Metrics' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metrics' containment reference.
  See Also:
    `GenEditorGenerator.setMetrics(GenMetricContainer)`, `GMFGenPackage.getGenEditorGenerator_Metrics()`
  ** Generated **
  Model:
    containment="true"

### setMetrics

    public void setMetrics(GenMetricContainer value)

  Sets the value of the '`Metrics`' containment reference.

  Parameters:
    `value` - the new value of the 'Metrics' containment reference.
  See Also:
    `GenEditorGenerator.getMetrics()`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Returns the value of the 'Diagram' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Diagram' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram' containment reference.
  See Also:
    `GenEditorGenerator.setDiagram(GenDiagram)`, `GMFGenPackage.getGenEditorGenerator_Diagram()`, `GenDiagram.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setDiagram

    public void setDiagram(GenDiagram value)

  Sets the value of the '`Diagram`' containment reference.

  Parameters:
    `value` - the new value of the 'Diagram' containment reference.
  See Also:
    `GenEditorGenerator.getDiagram()`
  ** Generated **

### getPlugin

    public GenPlugin getPlugin()

  Returns the value of the 'Plugin' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Plugin' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Plugin' containment reference.
  See Also:
    `GenEditorGenerator.setPlugin(GenPlugin)`, `GMFGenPackage.getGenEditorGenerator_Plugin()`, `GenPlugin.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setPlugin

    public void setPlugin(GenPlugin value)

  Sets the value of the '`Plugin`' containment reference.

  Parameters:
    `value` - the new value of the 'Plugin' containment reference.
  See Also:
    `GenEditorGenerator.getPlugin()`
  ** Generated **

### getEditor

    public GenEditorView getEditor()

  Returns the value of the 'Editor' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Editor' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor' containment reference.
  See Also:
    `GenEditorGenerator.setEditor(GenEditorView)`, `GMFGenPackage.getGenEditorGenerator_Editor()`, `GenEditorView.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setEditor

    public void setEditor(GenEditorView value)

  Sets the value of the '`Editor`' containment reference.

  Parameters:
    `value` - the new value of the 'Editor' containment reference.
  See Also:
    `GenEditorGenerator.getEditor()`
  ** Generated **

### getDomainGenModel

    public GenModel getDomainGenModel()

  Returns the value of the 'Domain Gen Model' reference. This is primary EMF genmodel for user's domain model

  Returns:
    the value of the 'Domain Gen Model' reference.
  See Also:
    `GenEditorGenerator.setDomainGenModel(GenModel)`, `GMFGenPackage.getGenEditorGenerator_DomainGenModel()`
  ** Generated **
  Model:

### setDomainGenModel

    public void setDomainGenModel(GenModel value)

  Sets the value of the '`Domain Gen Model`' reference.

  Parameters:
    `value` - the new value of the 'Domain Gen Model' reference.
  See Also:
    `GenEditorGenerator.getDomainGenModel()`
  ** Generated **

### getPackageNamePrefix

    public java.lang.String getPackageNamePrefix()

  Returns the value of the 'Package Name Prefix' attribute. Derived from genModel.genPackage[0].getBasePackage() by default

  Returns:
    the value of the 'Package Name Prefix' attribute.
  See Also:
    `GenEditorGenerator.setPackageNamePrefix(String)`, `GMFGenPackage.getGenEditorGenerator_PackageNamePrefix()`
  ** Generated **
  Model:

### setPackageNamePrefix

    public void setPackageNamePrefix(java.lang.String value)

  Sets the value of the '`Package Name Prefix`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name Prefix' attribute.
  See Also:
    `GenEditorGenerator.getPackageNamePrefix()`
  ** Generated **

### getModelID

    public java.lang.String getModelID()

  Returns the value of the 'Model ID' attribute.

  If the meaning of the 'Model ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model ID' attribute.
  See Also:
    `GenEditorGenerator.setModelID(String)`, `GMFGenPackage.getGenEditorGenerator_ModelID()`
  ** Generated **
  Model:
    id="true" required="true"

### setModelID

    public void setModelID(java.lang.String value)

  Sets the value of the '`Model ID`' attribute.

  Parameters:
    `value` - the new value of the 'Model ID' attribute.
  See Also:
    `GenEditorGenerator.getModelID()`
  ** Generated **

### isSameFileForDiagramAndModel

    public boolean isSameFileForDiagramAndModel()

  Returns the value of the 'Same File For Diagram And Model' attribute. Specified whether editor should create separate file for domain elements if diagram file references no domain model

  Returns:
    the value of the 'Same File For Diagram And Model' attribute.
  See Also:
    `GenEditorGenerator.setSameFileForDiagramAndModel(boolean)`, `GMFGenPackage.getGenEditorGenerator_SameFileForDiagramAndModel()`
  ** Generated **
  Model:

### setSameFileForDiagramAndModel

    public void setSameFileForDiagramAndModel(boolean value)

  Sets the value of the '`Same File For Diagram And Model`' attribute.

  Parameters:
    `value` - the new value of the 'Same File For Diagram And Model' attribute.
  See Also:
    `GenEditorGenerator.isSameFileForDiagramAndModel()`
  ** Generated **

### getDiagramFileExtension

    public java.lang.String getDiagramFileExtension()

  Returns the value of the 'Diagram File Extension' attribute.

  If the meaning of the 'Diagram File Extension' attribute isn't clear, there really should be more of a description here...

  Distinct even when sameFileForDiagramAndModel is true. On init diagram, we just copy domain model element to new file with that extension. I won't try to set this equal to domainFileExtension

  Returns:
    the value of the 'Diagram File Extension' attribute.
  See Also:
    `GenEditorGenerator.setDiagramFileExtension(String)`, `GMFGenPackage.getGenEditorGenerator_DiagramFileExtension()`
  ** Generated **
  Model:

### setDiagramFileExtension

    public void setDiagramFileExtension(java.lang.String value)

  Sets the value of the '`Diagram File Extension`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram File Extension' attribute.
  See Also:
    `GenEditorGenerator.getDiagramFileExtension()`
  ** Generated **

### getDomainFileExtension

    public java.lang.String getDomainFileExtension()

  Returns the value of the 'Domain File Extension' attribute. By default, genModel.genPackage[0].getPrefix().toLowerCase(), as in emf/templates/editor/pluign.xmljet

  Returns:
    the value of the 'Domain File Extension' attribute.
  See Also:
    `GenEditorGenerator.setDomainFileExtension(String)`, `GMFGenPackage.getGenEditorGenerator_DomainFileExtension()`
  ** Generated **
  Model:

### setDomainFileExtension

    public void setDomainFileExtension(java.lang.String value)

  Sets the value of the '`Domain File Extension`' attribute.

  Parameters:
    `value` - the new value of the 'Domain File Extension' attribute.
  See Also:
    `GenEditorGenerator.getDomainFileExtension()`
  ** Generated **

### isDynamicTemplates

    public boolean isDynamicTemplates()

  Returns the value of the 'Dynamic Templates' attribute. The default value is `"false"`.

  If the meaning of the 'Dynamic Templates' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dynamic Templates' attribute.
  See Also:
    `GenEditorGenerator.setDynamicTemplates(boolean)`, `GMFGenPackage.getGenEditorGenerator_DynamicTemplates()`
  ** Generated **
  Model:
    default="false"

### setDynamicTemplates

    public void setDynamicTemplates(boolean value)

  Sets the value of the '`Dynamic Templates`' attribute.

  Parameters:
    `value` - the new value of the 'Dynamic Templates' attribute.
  See Also:
    `GenEditorGenerator.isDynamicTemplates()`
  ** Generated **

### getTemplateDirectory

    public java.lang.String getTemplateDirectory()

  Returns the value of the 'Template Directory' attribute.

  If the meaning of the 'Template Directory' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Directory' attribute.
  See Also:
    `GenEditorGenerator.setTemplateDirectory(String)`, `GMFGenPackage.getGenEditorGenerator_TemplateDirectory()`
  ** Generated **
  Model:

### setTemplateDirectory

    public void setTemplateDirectory(java.lang.String value)

  Sets the value of the '`Template Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Template Directory' attribute.
  See Also:
    `GenEditorGenerator.getTemplateDirectory()`
  ** Generated **

### getCopyrightText

    public java.lang.String getCopyrightText()

  Returns the value of the 'Copyright Text' attribute.

  If the meaning of the 'Copyright Text' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Copyright Text' attribute.
  See Also:
    `GenEditorGenerator.setCopyrightText(String)`, `GMFGenPackage.getGenEditorGenerator_CopyrightText()`
  ** Generated **
  Model:

### setCopyrightText

    public void setCopyrightText(java.lang.String value)

  Sets the value of the '`Copyright Text`' attribute.

  Parameters:
    `value` - the new value of the 'Copyright Text' attribute.
  See Also:
    `GenEditorGenerator.getCopyrightText()`
  ** Generated **

### getExpressionProviders

    public GenExpressionProviderContainer getExpressionProviders()

  Returns the value of the 'Expression Providers' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Expression Providers' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression Providers' containment reference.
  See Also:
    `GenEditorGenerator.setExpressionProviders(GenExpressionProviderContainer)`, `GMFGenPackage.getGenEditorGenerator_ExpressionProviders()`, `GenExpressionProviderContainer.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setExpressionProviders

    public void setExpressionProviders(GenExpressionProviderContainer value)

  Sets the value of the '`Expression Providers`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression Providers' containment reference.
  See Also:
    `GenEditorGenerator.getExpressionProviders()`
  ** Generated **

### getAllDomainGenPackages

    public EList getAllDomainGenPackages(boolean withUsed)

  Returns all genpackages from domain genmodel

  ** Generated **
  Model:
    type="org.eclipse.emf.codegen.ecore.genmodel.GenPackage"

### hasAudits

    public boolean hasAudits()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.